Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::concepts::EraseableIterable Struct Reference
Concepts
Inheritance diagram for ranges::v3::concepts::EraseableIterable:

## Public Types
template<typename Rng , typename... Rest>
using | result_t = decltype(ranges::erase(val< Rng >(), val< Rest >()...))
Public Types inherited from ranges::v3::concepts::refines< Iterable(_1)>
using | base_concepts_t = meta::list< Concepts...>

## Public Member Functions
template<typename Rng , typename... Rest>
auto | requires_ (Rng &&, Rest &&...) -> decltype(concepts::valid_expr((ranges::erase(val< Rng >(), val< Rest >()...), 42)))
Public Member Functions inherited from ranges::v3::concepts::refines< Iterable(_1)>
void | requires_ (Ts &&...)